summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHongxu Jia <hongxu.jia@windriver.com>2018-08-29 17:04:57 +0800
committerRichard Purdie <richard.purdie@linuxfoundation.org>2018-08-29 15:42:21 +0100
commit8c8b0db03f6b535d8bee8f4beaeb59221c1e4f85 (patch)
treea327ad4ac76eef355e90958ec828b66ec1819e50
parentf5c38371aa21dee0eabdeea89663e5c133a4645f (diff)
downloadopenembedded-core-contrib-8c8b0db03f6b535d8bee8f4beaeb59221c1e4f85.tar.gz
openembedded-core-contrib-8c8b0db03f6b535d8bee8f4beaeb59221c1e4f85.tar.bz2
openembedded-core-contrib-8c8b0db03f6b535d8bee8f4beaeb59221c1e4f85.zip
security_flags.inc: use `?=' to set a default var-lcl_maybe_fortify
- Since poky enable security flags+pie by default, tweak comments to sync with it. [poky commit] 491082c poky.conf: Enable security flags+pie by default 29d76b3 poky-lsb: Remove including security_flags.inc [poky commit] - Use `?=' to set a default lcl_maybe_fortify, it is helpful for variable OVERRIDES. Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
-rw-r--r--meta/conf/distro/include/security_flags.inc4
1 files changed, 2 insertions, 2 deletions
diff --git a/meta/conf/distro/include/security_flags.inc b/meta/conf/distro/include/security_flags.inc
index 4e20a4d0f8..e113f999a1 100644
--- a/meta/conf/distro/include/security_flags.inc
+++ b/meta/conf/distro/include/security_flags.inc
@@ -3,14 +3,14 @@
# or both so a blacklist is maintained here. The idea would be over
# time to reduce this list to nothing.
# From a Yocto Project perspective, this file is included and tested
-# in the DISTRO="poky-lsb" configuration.
+# in the DISTRO="poky" configuration.
GCCPIE ?= "--enable-default-pie"
# If static PIE is known to work well, GLIBCPIE="--enable-static-pie" can be set
# _FORTIFY_SOURCE requires -O1 or higher, so disable in debug builds as they use
# -O0 which then results in a compiler warning.
-lcl_maybe_fortify = "${@oe.utils.conditional('DEBUG_BUILD','1','','-D_FORTIFY_SOURCE=2',d)}"
+lcl_maybe_fortify ?= "${@oe.utils.conditional('DEBUG_BUILD','1','','-D_FORTIFY_SOURCE=2',d)}"
# Error on use of format strings that represent possible security problems
SECURITY_STRINGFORMAT ?= "-Wformat -Wformat-security -Werror=format-security"